astro py:docs

- Index
- Modules

### Navigation

- next »
- « previous |
- Astropy v1.1.1 »
- Time and Dates (`astropy.time`) »
- TimeString

# TimeString

class `astropy.time.``TimeString`(val1, val2, scale, precision, in_subfmt, out_subfmt, from_jd=False)

  Bases: `astropy.time.TimeUnique`

  Base class for string-like time representations.

  This class assumes that anything following the last decimal point to the right is a fraction of a second.

  This is a reference implementation can be made much faster with effort.

  Attributes Summary

  `value` |

  Methods Summary

  `format_string`(str_fmt, **kwargs) | Write time to a string using a given format.
  `parse_string`(timestr, subfmts) | Read time from a single string, using a set of possible formats.
  `set_jds`(val1, val2) | Parse the time strings contained in val1 and set jd1, jd2
  `str_kwargs`() | Generator that yields a dict of values corresponding to the calendar date and time for the internal JD values.

  Attributes Documentation

  `value`

  Methods Documentation

  `format_string`(str_fmt, **kwargs)

    Write time to a string using a given format.

    By default, just interprets str_fmt as a format string, but subclasses can add to this.

  `parse_string`(timestr, subfmts)

    Read time from a single string, using a set of possible formats.

  `set_jds`(val1, val2)

    Parse the time strings contained in val1 and set jd1, jd2

  `str_kwargs`()

    Generator that yields a dict of values corresponding to the calendar date and time for the internal JD values.